import Panel from "../views/Panel";

export default class GetTicketPanel extends Panel {
    public get skinKey() { return "GetTicketPanel" }
    public btnOk: eui.Button;
    public ticketName: eui.Label;
    public ticketArea: eui.Image;

    constructor(data: any) {
        super(data);
    }

    onSkinComplete() {
        super.onSkinComplete();
        this.btnOk.addEventListener(egret.TouchEvent.TOUCH_TAP, this.hidePanel, this);
        this.ticketName.text = "酷我音乐满减20优惠券";
    }
}